Bug 230915 - [patch] x11-wm/compiz-fusion: add LICENSE and missing dependencies
Summary: [patch] x11-wm/compiz-fusion: add LICENSE and missing dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2018-08-26 15:05 UTC by Samy Mahmoudi
Modified: 2019-02-13 02:04 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd-ports)


Attachments
Patch file generated with svn diff (1.76 KB, patch)
2018-08-26 15:05 UTC, Samy Mahmoudi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2018-08-26 15:05:57 UTC
Created attachment 196568 [details]
Patch file generated with svn diff

Hi,

• Add LICENSE
• Add missing dependencies
Comment 1 Koichiro Iwao freebsd_committer 2019-02-11 16:55:55 UTC
maintainer timeout?
Comment 2 Samy Mahmoudi 2019-02-11 22:30:08 UTC
(In reply to Koichiro Iwao from comment #1)

Commit under maintainer timeout already requested for this patch and various others.

As I was not using neither poudriere nor portlint at that time, I provided a patch incorrect in some way, which results in one of these requests being postponed.

To ease in review, I cancelled all the other requests so that I could check myself the patches with poudriere/portlint rather than losing committers' time...
Comment 3 Koichiro Iwao freebsd_committer 2019-02-11 23:31:49 UTC
(In reply to Samy Mahmoudi from comment #2)

You can grab maintainership if you want.
Comment 4 Koichiro Iwao freebsd_committer 2019-02-12 01:11:47 UTC
testbuild@work
Comment 5 commit-hook freebsd_committer 2019-02-12 01:58:47 UTC
A commit references this bug:

Author: meta
Date: Tue Feb 12 01:58:38 UTC 2019
New revision: 492747
URL: https://svnweb.freebsd.org/changeset/ports/492747

Log:
  x11-wm/compiz-fusion: add LICENSE and missing dependencies

  While here,
  - Reset maintainership due to long timeout

  PR:		230915
  Submitted by:	Samy Mahmoudi <samy.mahmoudi@gmail.com>
  Approved by:	freebsd-ports@dan.me.uk (maintainer timeout, ~5 months)

Changes:
  head/x11-wm/compiz-fusion/Makefile
Comment 6 Koichiro Iwao freebsd_committer 2019-02-12 02:01:47 UTC
Committed, thanks!
Comment 7 Samy Mahmoudi 2019-02-12 08:29:36 UTC
(In reply to Koichiro Iwao from comment #6)

Thank you ;-))
Comment 8 Samy Mahmoudi 2019-02-12 08:52:50 UTC
(In reply to Koichiro Iwao from comment #3)

I will probably suggest more changes related to NLS. I may request maintainership when submitting the corresponding PR.
Comment 9 Koichiro Iwao freebsd_committer 2019-02-13 01:49:41 UTC
(In reply to Samy Mahmoudi from comment #8)
Okay, will assign you.
Comment 10 commit-hook freebsd_committer 2019-02-13 02:04:37 UTC
A commit references this bug:

Author: meta
Date: Wed Feb 13 02:04:19 UTC 2019
New revision: 492820
URL: https://svnweb.freebsd.org/changeset/ports/492820

Log:
  Pass maintainership to the latest submitter

  PR:		230915

Changes:
  head/x11-wm/compiz-fusion/Makefile
  head/x11-wm/compiz-plugins-extra/Makefile